/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import java.util.Date;


/**
 * 缺陷条件搜索表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-30 11:53:23  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷条件搜索表")
public class BugSearch extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_bugTitle = "bugTitle";
  public static final String KEY_bugGrade = "bugGrade";
  public static final String KEY_bugType = "bugType";
  public static final String KEY_emergency = "emergency";
  public static final String KEY_isReappear = "isReappear";
  public static final String KEY_bugStatus = "bugStatus";
  public static final String KEY_receiver = "receiver";
  public static final String KEY_createdUser = "createdUser";
  public static final String KEY_createdDate = "createdDate";
  public static final String KEY_repairTime = "repairTime";
  public static final String KEY_repairUser = "repairUser";
  public static final String KEY_closeTime = "closeTime";
  public static final String KEY_errorMessage = "errorMessage";
  public static final String KEY_message = "message";
  public static final String KEY_expands = "expands";
  public static final String KEY_roundId = "roundId";
  public static final String KEY_moduleId = "moduleId";
  public static final String KEY_systemId = "systemId";
  public static final String KEY_proId = "proId";
  public static final String KEY_other = "other";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_schemeName = "schemeName";
  public static final String KEY_bugFrom = "bugFrom";
  public static final String KEY_recordType = "recordType";
  public static final String KEY_userDefinedIdx1 = "userDefinedIdx1";
  public static final String KEY_userDefinedIdx2 = "userDefinedIdx2";
  public static final String KEY_userDefinedIdx3 = "userDefinedIdx3";
  public static final String KEY_userDefinedIdx4 = "userDefinedIdx4";
  public static final String KEY_userDefinedIdx5 = "userDefinedIdx5";
  public static final String KEY_userDefinedIdx6 = "userDefinedIdx6";
  public static final String KEY_userDefinedIdx7 = "userDefinedIdx7";
  public static final String KEY_userDefinedIdx8 = "userDefinedIdx8";
  public static final String KEY_userDefinedIdx9 = "userDefinedIdx9";
  public static final String KEY_userDefinedIdx10 = "userDefinedIdx10";
  public static final String KEY_userDefinedIdx11 = "userDefinedIdx11";
  public static final String KEY_userDefinedIdx12 = "userDefinedIdx12";
  public static final String KEY_userDefinedIdx13 = "userDefinedIdx13";
  public static final String KEY_userDefinedIdx14 = "userDefinedIdx14";
  public static final String KEY_userDefinedIdx15 = "userDefinedIdx15";
  public static final String KEY_userDefinedIdx16 = "userDefinedIdx16";
  public static final String KEY_userDefinedIdx17 = "userDefinedIdx17";
  public static final String KEY_userDefinedIdx18 = "userDefinedIdx18";
  public static final String KEY_userDefinedIdx19 = "userDefinedIdx19";
  public static final String KEY_userDefinedIdx20 = "userDefinedIdx20";
  public static final String KEY_bugOrder = "bugOrder";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 缺陷标题<br>
   */
  @ApiModelProperty("缺陷标题")
  @Size(max = 255, message="缺陷标题-bugTitle: 数据长度不能 > 255" )
  private String bugTitle;
  /**
   * 严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类<br>
   */
  @ApiModelProperty("严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类")
  @Size(max = 500, message="严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类-bugGrade: 数据长度不能 > 500" )
  private String bugGrade;
  /**
   * 缺陷类型<br>
   */
  @ApiModelProperty("缺陷类型")
  @Size(max = 500, message="缺陷类型-bugType: 数据长度不能 > 500" )
  private String bugType;
  /**
   * 紧急程度：1.高、2.中、3.低<br>
   */
  @ApiModelProperty("紧急程度：1.高、2.中、3.低")
  @Size(max = 500, message="紧急程度：1.高、2.中、3.低-emergency: 数据长度不能 > 500" )
  private String emergency;
  /**
   * 可重现：Y是,N否<br>
   */
  @ApiModelProperty("可重现：Y是,N否")
  @Size(max = 1, message="可重现：Y是,N否-isReappear: 数据长度不能 > 1" )
  private String isReappear;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 500, message="-bugStatus: 数据长度不能 > 500" )
  private String bugStatus;
  /**
   * 分配人<br>
   */
  @ApiModelProperty("分配人")
  @Size(max = 100, message="分配人-receiver: 数据长度不能 > 100" )
  private String receiver;
  /**
   * 缺陷创建人<br>
   */
  @ApiModelProperty("缺陷创建人")
  @Size(max = 100, message="缺陷创建人-createdUser: 数据长度不能 > 100" )
  private String createdUser;
  /**
   * 缺陷创建时间<br>
   */
  @ApiModelProperty("缺陷创建时间")
  @Size(max = 100, message="缺陷创建时间-createdDate: 数据长度不能 > 100" )
  private String createdDate;
  /**
   * 缺陷修复时间<br>
   */
  @ApiModelProperty("缺陷修复时间")
  @Size(max = 100, message="缺陷修复时间-repairTime: 数据长度不能 > 100" )
  private String repairTime;
  /**
   * 缺陷修复人<br>
   */
  @ApiModelProperty("缺陷修复人")
  @Size(max = 100, message="缺陷修复人-repairUser: 数据长度不能 > 100" )
  private String repairUser;
  /**
   * 缺陷关闭时间<br>
   */
  @ApiModelProperty("缺陷关闭时间")
  @Size(max = 100, message="缺陷关闭时间-closeTime: 数据长度不能 > 100" )
  private String closeTime;
  /**
   * 错误信息描述<br>
   */
  @ApiModelProperty("错误信息描述")
  @Size(max = 100, message="错误信息描述-errorMessage: 数据长度不能 > 100" )
  private String errorMessage;
  /**
   * 注释<br>
   */
  @ApiModelProperty("注释")
  @Size(max = 100, message="注释-message: 数据长度不能 > 100" )
  private String message;
  /**
   * 自定义字段<br>
   */
  @ApiModelProperty("自定义字段")
  @Size(max = 2000, message="自定义字段-expands: 数据长度不能 > 2000" )
  private String expands;
  /**
   * 轮次<br>
   */
  @ApiModelProperty("轮次")
  @Size(max = 32, message="轮次-roundId: 数据长度不能 > 32" )
  private String roundId;
  /**
   * 模块<br>
   */
  @ApiModelProperty("模块")
  @Size(max = 32, message="模块-moduleId: 数据长度不能 > 32" )
  private String moduleId;
  /**
   * 系统<br>
   */
  @ApiModelProperty("系统")
  @Size(max = 32, message="系统-systemId: 数据长度不能 > 32" )
  private String systemId;
  /**
   * 系统<br>
   */
  @ApiModelProperty("系统")
  @Size(max = 1000, message="系统-proId: 数据长度不能 > 1000" )
  private String proId;
  /**
   * 其他搜索条件<br>
   */
  @ApiModelProperty("其他搜索条件")
  @Size(max = 2000, message="其他搜索条件-other: 数据长度不能 > 2000" )
  private String other;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 50, message="创建人-createdBy: 数据长度不能 > 50" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 50, message="修改人-updatedBy: 数据长度不能 > 50" )
  private String updatedBy;
  /**
   * 修改时间<br>
   */
  @ApiModelProperty("修改时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;
  /**
   * 搜索方案名称<br>
   */
  @ApiModelProperty("搜索方案名称")
  @Size(max = 50, message="搜索方案名称-schemeName: 数据长度不能 > 50" )
  private String schemeName;
  /**
   * 缺陷来源：1.执行提交,2.自动化提交,3.手动提交<br>
   */
  @ApiModelProperty("缺陷来源：1.执行提交,2.自动化提交,3.手动提交")
  @Size(max = 2, message="缺陷来源：1.执行提交,2.自动化提交,3.手动提交-bugFrom: 数据长度不能 > 2" )
  private String bugFrom;
  /**
   * 0:系统内；1:缺陷库<br>
   */
  @ApiModelProperty("0:系统内；1:缺陷库")
  private Integer recordType;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx1: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX1")
  private String userDefinedIdx1;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx2: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX2")
  private String userDefinedIdx2;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx3: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX3")
  private String userDefinedIdx3;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx4: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX4")
  private String userDefinedIdx4;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx5: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX5")
  private String userDefinedIdx5;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx6: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX6")
  private String userDefinedIdx6;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx7: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX7")
  private String userDefinedIdx7;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx8: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX8")
  private String userDefinedIdx8;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx9: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX9")
  private String userDefinedIdx9;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx10: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX10")
  private String userDefinedIdx10;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx11: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX11")
  private String userDefinedIdx11;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx12: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX12")
  private String userDefinedIdx12;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx13: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX13")
  private String userDefinedIdx13;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx14: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX14")
  private String userDefinedIdx14;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx15: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX15")
  private String userDefinedIdx15;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx16: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX16")
  private String userDefinedIdx16;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx17: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX17")
  private String userDefinedIdx17;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx18: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX18")
  private String userDefinedIdx18;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx19: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX19")
  private String userDefinedIdx19;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 30, message="-userDefinedIdx20: 数据长度不能 > 30" )
  @JsonProperty("USER_DEFINED_IDX20")
  private String userDefinedIdx20;

  private String bugOrder;

  public String getBugOrder() {
    return bugOrder;
  }

  public void setBugOrder(String bugOrder) {
    this.bugOrder = bugOrder;
  }

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 缺陷标题<br>
   */
  public String getBugTitle()
  {
      return bugTitle;
    }

  /**
   * 缺陷标题<br>
   *
   * @param bugTitle 缺陷标题
   */
  public void setBugTitle(String bugTitle)
  {
      this.bugTitle = bugTitle;
    }
  /**
   * 严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类<br>
   */
  public String getBugGrade()
  {
      return bugGrade;
    }

  /**
   * 严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类<br>
   *
   * @param bugGrade 严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类
   */
  public void setBugGrade(String bugGrade)
  {
      this.bugGrade = bugGrade;
    }
  /**
   * 缺陷类型<br>
   */
  public String getBugType()
  {
      return bugType;
    }

  /**
   * 缺陷类型<br>
   *
   * @param bugType 缺陷类型
   */
  public void setBugType(String bugType)
  {
      this.bugType = bugType;
    }
  /**
   * 紧急程度：1.高、2.中、3.低<br>
   */
  public String getEmergency()
  {
      return emergency;
    }

  /**
   * 紧急程度：1.高、2.中、3.低<br>
   *
   * @param emergency 紧急程度：1.高、2.中、3.低
   */
  public void setEmergency(String emergency)
  {
      this.emergency = emergency;
    }
  /**
   * 可重现：Y是,N否<br>
   */
  public String getIsReappear()
  {
      return isReappear;
    }

  /**
   * 可重现：Y是,N否<br>
   *
   * @param isReappear 可重现：Y是,N否
   */
  public void setIsReappear(String isReappear)
  {
      this.isReappear = isReappear;
    }
  /**
   * <br>
   */
  public String getBugStatus()
  {
      return bugStatus;
    }

  /**
   * <br>
   *
   * @param bugStatus 
   */
  public void setBugStatus(String bugStatus)
  {
      this.bugStatus = bugStatus;
    }
  /**
   * 分配人<br>
   */
  public String getReceiver()
  {
      return receiver;
    }

  /**
   * 分配人<br>
   *
   * @param receiver 分配人
   */
  public void setReceiver(String receiver)
  {
      this.receiver = receiver;
    }
  /**
   * 缺陷创建人<br>
   */
  public String getCreatedUser()
  {
      return createdUser;
    }

  /**
   * 缺陷创建人<br>
   *
   * @param createdUser 缺陷创建人
   */
  public void setCreatedUser(String createdUser)
  {
      this.createdUser = createdUser;
    }
  /**
   * 缺陷创建时间<br>
   */
  public String getCreatedDate()
  {
      return createdDate;
    }

  /**
   * 缺陷创建时间<br>
   *
   * @param createdDate 缺陷创建时间
   */
  public void setCreatedDate(String createdDate)
  {
      this.createdDate = createdDate;
    }
  /**
   * 缺陷修复时间<br>
   */
  public String getRepairTime()
  {
      return repairTime;
    }

  /**
   * 缺陷修复时间<br>
   *
   * @param repairTime 缺陷修复时间
   */
  public void setRepairTime(String repairTime)
  {
      this.repairTime = repairTime;
    }
  /**
   * 缺陷修复人<br>
   */
  public String getRepairUser()
  {
      return repairUser;
    }

  /**
   * 缺陷修复人<br>
   *
   * @param repairUser 缺陷修复人
   */
  public void setRepairUser(String repairUser)
  {
      this.repairUser = repairUser;
    }
  /**
   * 缺陷关闭时间<br>
   */
  public String getCloseTime()
  {
      return closeTime;
    }

  /**
   * 缺陷关闭时间<br>
   *
   * @param closeTime 缺陷关闭时间
   */
  public void setCloseTime(String closeTime)
  {
      this.closeTime = closeTime;
    }
  /**
   * 错误信息描述<br>
   */
  public String getErrorMessage()
  {
      return errorMessage;
    }

  /**
   * 错误信息描述<br>
   *
   * @param errorMessage 错误信息描述
   */
  public void setErrorMessage(String errorMessage)
  {
      this.errorMessage = errorMessage;
    }
  /**
   * 注释<br>
   */
  public String getMessage()
  {
      return message;
    }

  /**
   * 注释<br>
   *
   * @param message 注释
   */
  public void setMessage(String message)
  {
      this.message = message;
    }
  /**
   * 自定义字段<br>
   */
  public String getExpands()
  {
      return expands;
    }

  /**
   * 自定义字段<br>
   *
   * @param expands 自定义字段
   */
  public void setExpands(String expands)
  {
      this.expands = expands;
    }
  /**
   * 轮次<br>
   */
  public String getRoundId()
  {
      return roundId;
    }

  /**
   * 轮次<br>
   *
   * @param roundId 轮次
   */
  public void setRoundId(String roundId)
  {
      this.roundId = roundId;
    }
  /**
   * 模块<br>
   */
  public String getModuleId()
  {
      return moduleId;
    }

  /**
   * 模块<br>
   *
   * @param moduleId 模块
   */
  public void setModuleId(String moduleId)
  {
      this.moduleId = moduleId;
    }
  /**
   * 系统<br>
   */
  public String getSystemId()
  {
      return systemId;
    }

  /**
   * 系统<br>
   *
   * @param systemId 系统
   */
  public void setSystemId(String systemId)
  {
      this.systemId = systemId;
    }
  /**
   * 系统<br>
   */
  public String getProId()
  {
      return proId;
    }

  /**
   * 系统<br>
   *
   * @param proId 系统
   */
  public void setProId(String proId)
  {
      this.proId = proId;
    }
  /**
   * 其他搜索条件<br>
   */
  public String getOther()
  {
      return other;
    }

  /**
   * 其他搜索条件<br>
   *
   * @param other 其他搜索条件
   */
  public void setOther(String other)
  {
      this.other = other;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 修改时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 修改时间<br>
   *
   * @param updatedTime 修改时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 搜索方案名称<br>
   */
  public String getSchemeName()
  {
      return schemeName;
    }

  /**
   * 搜索方案名称<br>
   *
   * @param schemeName 搜索方案名称
   */
  public void setSchemeName(String schemeName)
  {
      this.schemeName = schemeName;
    }
  /**
   * 缺陷来源：1.执行提交,2.自动化提交,3.手动提交<br>
   */
  public String getBugFrom()
  {
      return bugFrom;
    }

  /**
   * 缺陷来源：1.执行提交,2.自动化提交,3.手动提交<br>
   *
   * @param bugFrom 缺陷来源：1.执行提交,2.自动化提交,3.手动提交
   */
  public void setBugFrom(String bugFrom)
  {
      this.bugFrom = bugFrom;
    }
  /**
   * 0:系统内；1:缺陷库<br>
   */
  public Integer getRecordType()
  {
      return recordType;
    }

  /**
   * 0:系统内；1:缺陷库<br>
   *
   * @param recordType 0:系统内；1:缺陷库
   */
  public void setRecordType(Integer recordType)
  {
      this.recordType = recordType;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx1()
  {
      return userDefinedIdx1;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx1 
   */
  public void setUserDefinedIdx1(String userDefinedIdx1)
  {
      this.userDefinedIdx1 = userDefinedIdx1;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx2()
  {
      return userDefinedIdx2;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx2 
   */
  public void setUserDefinedIdx2(String userDefinedIdx2)
  {
      this.userDefinedIdx2 = userDefinedIdx2;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx3()
  {
      return userDefinedIdx3;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx3 
   */
  public void setUserDefinedIdx3(String userDefinedIdx3)
  {
      this.userDefinedIdx3 = userDefinedIdx3;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx4()
  {
      return userDefinedIdx4;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx4 
   */
  public void setUserDefinedIdx4(String userDefinedIdx4)
  {
      this.userDefinedIdx4 = userDefinedIdx4;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx5()
  {
      return userDefinedIdx5;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx5 
   */
  public void setUserDefinedIdx5(String userDefinedIdx5)
  {
      this.userDefinedIdx5 = userDefinedIdx5;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx6()
  {
      return userDefinedIdx6;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx6 
   */
  public void setUserDefinedIdx6(String userDefinedIdx6)
  {
      this.userDefinedIdx6 = userDefinedIdx6;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx7()
  {
      return userDefinedIdx7;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx7 
   */
  public void setUserDefinedIdx7(String userDefinedIdx7)
  {
      this.userDefinedIdx7 = userDefinedIdx7;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx8()
  {
      return userDefinedIdx8;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx8 
   */
  public void setUserDefinedIdx8(String userDefinedIdx8)
  {
      this.userDefinedIdx8 = userDefinedIdx8;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx9()
  {
      return userDefinedIdx9;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx9 
   */
  public void setUserDefinedIdx9(String userDefinedIdx9)
  {
      this.userDefinedIdx9 = userDefinedIdx9;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx10()
  {
      return userDefinedIdx10;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx10 
   */
  public void setUserDefinedIdx10(String userDefinedIdx10)
  {
      this.userDefinedIdx10 = userDefinedIdx10;
    }

  public String getUserDefinedIdx11() {
    return userDefinedIdx11;
  }

  public void setUserDefinedIdx11(String userDefinedIdx11) {
    this.userDefinedIdx11 = userDefinedIdx11;
  }

  public String getUserDefinedIdx12() {
    return userDefinedIdx12;
  }

  public void setUserDefinedIdx12(String userDefinedIdx12) {
    this.userDefinedIdx12 = userDefinedIdx12;
  }

  public String getUserDefinedIdx13() {
    return userDefinedIdx13;
  }

  public void setUserDefinedIdx13(String userDefinedIdx13) {
    this.userDefinedIdx13 = userDefinedIdx13;
  }

  public String getUserDefinedIdx14() {
    return userDefinedIdx14;
  }

  public void setUserDefinedIdx14(String userDefinedIdx14) {
    this.userDefinedIdx14 = userDefinedIdx14;
  }

  public String getUserDefinedIdx15() {
    return userDefinedIdx15;
  }

  public void setUserDefinedIdx15(String userDefinedIdx15) {
    this.userDefinedIdx15 = userDefinedIdx15;
  }

  public String getUserDefinedIdx16() {
    return userDefinedIdx16;
  }

  public void setUserDefinedIdx16(String userDefinedIdx16) {
    this.userDefinedIdx16 = userDefinedIdx16;
  }

  public String getUserDefinedIdx17() {
    return userDefinedIdx17;
  }

  public void setUserDefinedIdx17(String userDefinedIdx17) {
    this.userDefinedIdx17 = userDefinedIdx17;
  }

  public String getUserDefinedIdx18() {
    return userDefinedIdx18;
  }

  public void setUserDefinedIdx18(String userDefinedIdx18) {
    this.userDefinedIdx18 = userDefinedIdx18;
  }

  public String getUserDefinedIdx19() {
    return userDefinedIdx19;
  }

  public void setUserDefinedIdx19(String userDefinedIdx19) {
    this.userDefinedIdx19 = userDefinedIdx19;
  }

  public String getUserDefinedIdx20() {
    return userDefinedIdx20;
  }

  public void setUserDefinedIdx20(String userDefinedIdx20) {
    this.userDefinedIdx20 = userDefinedIdx20;
  }

  public BugSearch()
  {
  }

}
